from django.http import HttpResponse
from django.views.generic.edit import CreateView, UpdateView, DeleteView
from django.views.generic.detail import DetailView
from django.views.generic import ListView
from django.urls import reverse_lazy
from .models import Bibliography

class BibliographyCreate(CreateView):
    model = Bibliography
    fields = '__all__'

class BibliographyUpdate(UpdateView):
    model = Bibliography
    fields = '__all__'

class BibliographyDelete(DeleteView):
    model = Bibliography
    success_url = reverse_lazy('biblio-list')

class BibliographyDetail(DetailView):
    model = Bibliography
    fields = '__all__'

class BibliographyList(ListView):
    model = Bibliography

