from bioservices.eutils import EUtils

def get_pubmed_info(pmid):
    eu = EUtils()
    r = eu.EFetch('pubmed', pmid, retmode='dict', rettype='abstract')
    article = r['PubmedArticleSet']['PubmedArticle']['MedlineCitation']['Article']
    title = article['ArticleTitle']
    authors_list = [a['LastName']+ ' ' + a['Initials'] for a in article['AuthorList']['Author']]
    authors = ', '.join(authors_list)
    journal_name = article['Journal']['Title']
    biblio_year = article['Journal']['JournalIssue']['PubDate']['Year']
    return {'title':title,
            'journal_name':journal_name,
            'biblio_year':biblio_year,
            'authors_list': authors}
